Tuesday, August 14th 2018

NVIDIA Outs GeForce 398.98 Hotfix to Address "LA Noire VR" Bugs

NVIDIA late Monday rushed out the GeForce 398.98 Hotfix drivers to address glaring bugs with "LA Noire VR." Apparently the game notices crashes and stuttering with the latest GeForce 398.86 Beta drivers. The drivers also fix a stuttering issue noticed on some configurations trying to run "Call of Duty Black Ops 4 Beta." Hotfix releases lack WHQL certification, and are released to correct one or two major bugs that require NVIDIA's immediate attention. Unless you're playing the two games mentioned, you'd rather skip the driver update as the change-log lists no other updates.
DOWNLOAD: NVIDIA GeForce 398.98 Hotfix
Add your own comment

6 Comments on NVIDIA Outs GeForce 398.98 Hotfix to Address "LA Noire VR" Bugs

#1
Slizzo
These were released, like, Friday or Saturday. Not Late Monday...
Posted on Reply
#2
Caring1
Slizzo
These were released, like, Friday or Saturday. Not Late Monday...
Time is subjective in a global society.
Posted on Reply
#3
Ed_1
Caring1
Time is subjective in a global society.
Not 3 days
Posted on Reply
#4
coonbro
heres what I don't get

if the driver was so bad for these games before what did the game developer use for good solid driver to make / develop the game with ? AMD cards I guess .

or like ''you must use the latest driver for this game '' then what were you using before the latest driver if they don't work well if at all ?
Posted on Reply
#5
R-T-B
coonbro
if the driver was so bad for these games before what did the game developer use for good solid driver to make / develop the game with
FireGL/Quadro (or whatever) driver package, likely.

coonbro
you must use the latest driver for this game
No one actually says that. Supposedly these releases offer the "best experience and performance." No one says former ones cannot be used.
Posted on Reply
#6
Slizzo
R-T-B
FireGL/Quadro (or whatever) driver package, likely.



No one actually says that. Supposedly these releases offer the "best experience and performance." No one says former ones cannot be used.
Except, when I had 398.31 installed I kept getting messages every time I started BO4 beta to update my driver.
Posted on Reply